package com.elitesland.security.config;

import lombok.val;
import org.springframework.data.domain.AuditorAware;
import org.springframework.security.core.context.SecurityContextHolder;

import java.util.Optional;

/**
 * @author Mir
 * @date 3/17/2020
 */

public class SpringSecurityAuditorAware implements AuditorAware<Long> {
    /**
     * 从SecurityContext中，获取当前登录用的用户ID
     *
     * @return 当前登录用户的用户ID
     */
    @Override
    public Optional<Long> getCurrentAuditor() {
        val details = SecurityContextHolder.getContext().getAuthentication().getDetails();
        if (details instanceof Long) {
            return Optional.of((Long) details);
        }
        return Optional.of(0L);
    }
}
