package com.elitesland.system.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <pre>
 * 分类码查询条件
 * </pre>
 *
 * @author Mir
 * @date 2020/6/25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel("分类码查询条件")
public class SysUdcQueryParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = -3895354355224335248L;

    @ApiModelProperty("领域码")
    private String domainCode;

    @ApiModelProperty("分类码")
    private String udcCode;

    @ApiModelProperty("分类码值")
    private String udcVal;

    @ApiModelProperty("值描述")
    private String valDesc;

    @ApiModelProperty("多个分类码字符串列表")
    private List<String> codes;
}
