package com.elitesland.system.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/7/8
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel("系统用户查询条件")
public class SysUserQueryParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = 724644499628241282L;

    @ApiModelProperty("用户账号")
    String username;

    @ApiModelProperty("用户姓名")
    String name;

    @ApiModelProperty("手机号")
    String mobile;

    @ApiModelProperty("电子邮箱")
    String email;

    @ApiModelProperty("账号是否启用")
    Boolean enabled;

    @ApiModelProperty("角色ID列表")
    List<Long> roleIds;
}
