package com.elitesland.system.repo;

import com.elitesland.system.entity.SysUserDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

/**
 * <pre>
 * 系统用户账号表JPA+QueryDSL访问封装
 * </pre>
 *
 * @author Mir
 * @date 2020/6/15
 */
@Repository
public interface SysUserRepo extends JpaRepository<SysUserDO, Long>, QuerydslPredicateExecutor<SysUserDO> {
    List<SysUserDO> findAllByRoles_Id(Long id);

    Optional<SysUserDO> findByMobile(String mobile);

    Optional<SysUserDO> findByEmail(String email);
}
